<?php 
    
// =============================================================================
// File: head.php
// Version: 1.0
// 
// Indcludes codemirror library JS and CSS files and synchi CSS and JS files.
// =============================================================================

// check access
if(!defined('SYNCHI')) exit('Direct access is not allowed...'); 
    
?>

<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/codemirror.js"></script>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/codemirror.css" />

<script type="text/javascript">
    var synchi_settings = <?php echo json_encode($synchi_settings); ?>;
    var synchi_path = '<?php echo WP_PLUGIN_URL; ?>/synchi/';
</script>

<?php if($theme != 'default') { ?>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/theme/<?php echo $theme; ?>.css" />
<?php } else { ?>
<style type="text/css">
    .CodeMirror-scroll {
        background-color: #F9F9F9;
        font-size : <?php echo $synchi_settings['fontSize']; ?>px;
    }
</style>
<?php } ?>

<!-- CodeMirror Modes -->
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/clike.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/css.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/htmlmixed.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/javascript.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/mysql.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/php.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/xml.js"></script>

<!-- CodeMirror Utils -->
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/util/dialog.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/util/formatting.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/util/search.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/util/searchcursor.js"></script>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/util/dialog.css" />

<!-- Synchi -->
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/synchi.css?version=<?php echo SYNCHI; ?>" />
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/synchi.js?version=<?php echo SYNCHI; ?>"></script>